edu.cmu.pslc.logging.element

## Class SkillElement

- java.lang.Object
- - edu.cmu.pslc.logging.element.SkillElement

-     public class SkillElement
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SkillElement(java.lang.String name, java.lang.String category)`
    `SkillElement(java.lang.String name, java.lang.String category, boolean buggyFlag)`
    `SkillElement(java.lang.String name, java.lang.String category, java.lang.String modelName)`
    `SkillElement(java.lang.String name, java.lang.String category, java.lang.String modelName, boolean buggyFlag)`
    `SkillElement(java.lang.String probability, java.lang.String name, java.lang.String category, java.lang.String modelName)`
    `SkillElement(java.lang.String probability, java.lang.String name, java.lang.String category, java.lang.String modelName, boolean buggyFlag)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addModelName(java.lang.String modelName)`
    `boolean` | `getBuggyFlag()`
    `java.lang.String` | `getCategory()`
    `java.util.List` | `getModelNameList()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getProbability()`
    `void` | `setBuggyFlag(boolean buggyFlag)`
    `void` | `setCategory(java.lang.String category)`
    `void` | `setName(java.lang.String name)`
    `void` | `setProbability(java.lang.String probability)`
    `java.lang.String` | `toString()` Returns the xml version of the object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SkillElement

          public SkillElement(java.lang.String probability,
                      java.lang.String name,
                      java.lang.String category,
                      java.lang.String modelName,
                      boolean buggyFlag)

    - #### SkillElement

          public SkillElement(java.lang.String probability,
                      java.lang.String name,
                      java.lang.String category,
                      java.lang.String modelName)

    - #### SkillElement

          public SkillElement(java.lang.String name,
                      java.lang.String category,
                      java.lang.String modelName,
                      boolean buggyFlag)

    - #### SkillElement

          public SkillElement(java.lang.String name,
                      java.lang.String category,
                      java.lang.String modelName)

    - #### SkillElement

          public SkillElement(java.lang.String name,
                      java.lang.String category,
                      boolean buggyFlag)

    - #### SkillElement

          public SkillElement(java.lang.String name,
                      java.lang.String category)

  - ### Method Detail

    - #### getProbability

          public java.lang.String getProbability()

    - #### setProbability

          public void setProbability(java.lang.String probability)

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getCategory

          public java.lang.String getCategory()

    - #### setCategory

          public void setCategory(java.lang.String category)

    - #### getModelNameList

          public java.util.List getModelNameList()

    - #### addModelName

          public void addModelName(java.lang.String modelName)

    - #### getBuggyFlag

          public boolean getBuggyFlag()

    - #### setBuggyFlag

          public void setBuggyFlag(boolean buggyFlag)

    - #### toString

          public java.lang.String toString()

      Returns the xml version of the object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        xml version of the object

Copyright (c) 2015 - Pittsburgh Science of Learning Center